%define module_name Test-WWW-Stub
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Guard.pm) perl(LWP/Protocol/PSGI.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(Module/Build/Tiny.pm) perl(Plack/Request.pm) perl(Scalar/Util.pm) perl(Test/Class.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Tester.pm) perl(Test/Warnings.pm) perl(URI.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Block and stub specified URL for LWP
Group: Development/Perl
License: perl
URL: https://github.com/astj/p5-Test-WWW-Stub

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AS/ASTJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Test::WWW::Stub is a helper module to block external http(s) request and stub some specific requests in your test.

Because this modules uses the LWP::Protocol::PSGI manpage internally, you don't have to modify target codes using the LWP::UserAgent manpage.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc RELEASE.md README.md Changes LICENSE
%perl_vendor_privlib/T*

%changelog
* Fri Mar 08 2019 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- updated by package builder

* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Tue Mar 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Sat Mar 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Thu Dec 17 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Fri May 22 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

